Irrlicht Engine: irr::video::S3DVertexTangents Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::video::S3DVertexTangents Struct Reference

Vertex with a tangent and binormal vector. More...

`#include <S3DVertex.h>`

Inheritance diagram for irr::video::S3DVertexTangents:

List of all members.

## Public Member Functions
E_VERTEX_TYPE | getType () const
bool | operator!= (const S3DVertexTangents &other) const
bool | operator< (const S3DVertexTangents &other) const
bool | operator== (const S3DVertexTangents &other) const
| S3DVertexTangents (const core::vector3df &pos, const core::vector3df &normal, SColor c, const core::vector2df &tcoords, const core::vector3df &tangent=core::vector3df(), const core::vector3df &binormal=core::vector3df())
| constructor
| S3DVertexTangents (const core::vector3df &pos, SColor c, const core::vector2df &tcoords)
| constructor
| S3DVertexTangents (f32 x, f32 y, f32 z, f32 nx=0.0f, f32 ny=0.0f, f32 nz=0.0f, SColor c=0xFFFFFFFF, f32 tu=0.0f, f32 tv=0.0f, f32 tanx=0.0f, f32 tany=0.0f, f32 tanz=0.0f, f32 bx=0.0f, f32 by=0.0f, f32 bz=0.0f)
| constructor
| S3DVertexTangents ()
| default constructor
## Public Attributes
core::vector3df | Binormal
| Binormal vector (tangent x normal).
core::vector3df | Tangent
| Tangent vector along the x-axis of the texture.

## Detailed Description

Vertex with a tangent and binormal vector.

Usually used for tangent space normal mapping.

Definition at line 166 of file S3DVertex.h.

## Constructor & Destructor Documentation

irr::video::S3DVertexTangents::S3DVertexTangents | ( |  | ) | `[inline]`

default constructor

Definition at line 169 of file S3DVertex.h.

irr::video::S3DVertexTangents::S3DVertexTangents | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | f32 | nx = `0.0f`,
|  | f32 | ny = `0.0f`,
|  | f32 | nz = `0.0f`,
|  | SColor | c = `0xFFFFFFFF`,
|  | f32 | tu = `0.0f`,
|  | f32 | tv = `0.0f`,
|  | f32 | tanx = `0.0f`,
|  | f32 | tany = `0.0f`,
|  | f32 | tanz = `0.0f`,
|  | f32 | bx = `0.0f`,
|  | f32 | by = `0.0f`,
|  | f32 | bz = `0.0f` |
| ) |  |  | `[inline]`

constructor

Definition at line 172 of file S3DVertex.h.

irr::video::S3DVertexTangents::S3DVertexTangents | ( | const core::vector3df & | pos,
|  | SColor | c,
|  | const core::vector2df & | tcoords |
| ) |  |  | `[inline]`

constructor

Definition at line 179 of file S3DVertex.h.

irr::video::S3DVertexTangents::S3DVertexTangents | ( | const core::vector3df & | pos,
|  | const core::vector3df & | normal,
|  | SColor | c,
|  | const core::vector2df & | tcoords,
|  | const core::vector3df & | tangent = `core::vector3df()`,
|  | const core::vector3df & | binormal = `core::vector3df()` |
| ) |  |  | `[inline]`

constructor

Definition at line 184 of file S3DVertex.h.

## Member Function Documentation

E_VERTEX_TYPE irr::video::S3DVertexTangents::getType | ( |  | ) | const`[inline]`

Reimplemented from irr::video::S3DVertex.

Definition at line 218 of file S3DVertex.h.

References irr::video::EVT_TANGENTS.

bool irr::video::S3DVertexTangents::operator!= | ( | const S3DVertexTangents & | other | ) | const`[inline]`

Definition at line 204 of file S3DVertex.h.

References Binormal, and Tangent.

bool irr::video::S3DVertexTangents::operator< | ( | const S3DVertexTangents & | other | ) | const`[inline]`

Definition at line 211 of file S3DVertex.h.

References Binormal, and Tangent.

bool irr::video::S3DVertexTangents::operator== | ( | const S3DVertexTangents & | other | ) | const`[inline]`

Definition at line 197 of file S3DVertex.h.

References Binormal, and Tangent.

## Member Data Documentation

core::vector3df irr::video::S3DVertexTangents::Binormal

Binormal vector (tangent x normal).

Definition at line 195 of file S3DVertex.h.

Referenced by operator!=(), operator<(), and operator==().

core::vector3df irr::video::S3DVertexTangents::Tangent

Tangent vector along the x-axis of the texture.

Definition at line 192 of file S3DVertex.h.

Referenced by operator!=(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- S3DVertex.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:10 2010 by Doxygen (1.6.2)